/***
* Výňatek z knihy "HTML5 a CSS3", vydal Computer Press.
* Autorská práva ke kódu. Nesmí se použít jako materiály k výuce, 
* v kurzech, knihách, článcích a podobně. V případě dotazů nás kontaktujte.
* Ručíme, že kódy ke knize odpovídají svému účelu. 
* Více informací o knize najdete na http://knihy.cpress.cz/k1948.
***/

WEB_SOCKET_SWF_LOCATION = "websocket_js/WebSocketMain.swf";



   var webSocket = new WebSocket('ws://localhost:9394/');
   
   webSocket.onopen = function(udalost){
     $('#chat').append('<br>Připojen k serveru');
   };
   
   webSocket.onmessage = function(udalost){
     $('#chat').append("<br>" + udalost.data);
     $('#chat').animate({scrollTop: $('#chat').height()});
   };
   
   webSocket.onclose = function(udalost){
     $("#chat").append('<br>Připojení ukončeno.');
   };
   
   
   $(function(){
     $("form#chat_form").submit(function(e){
        e.preventDefault();
        var testovePole = $("#zprava");
        webSocket.send(textovePole.val());
        textovePole.val("");
      });
    $("form#prezdivka_form").submit(function(e){
      e.preventDefault();
      var textovePole = $("#prezdivka");
      webSocket.send("/nick " + textovePole.val());
    });
    
   })
   


